List Service Instance Shared Spaces

List Service Instance Shared Spaces
List shared spaces relationship

This endpoint lists the spaces that the service instance has been shared to.

Request
URI
GET
https://api.example.local/v3/service_instances/{guid}/relationships/shared_spaces
COPY
Path Parameters
string
guid
Required

The unique identifier for the resource

Query Parameters
object
fields
Optional

Fields to include in the response


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns RelationshipToMany of type(s) application/json
{
    "data": [
        {
            "guid": "string"
        }
    ]
}
array of object
data
Optional

data


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v3/service_instances/{guid}/relationships/shared_spaces